I want to connect to matrix.org via weechat in Leap 15.0.

  1. I need the matrix script
  2. I need the dependencies, as far as I see I need to package lua-cjson for 5.3 lua and Leap 15.0, which at the moment doesn't build. This means that I need to learn a bit more packaging than I do now.
  3. Check whatever else is needed.

Looking for mad skills in:

Nothing? Add some keywords!

This project is part of:

Hack Week 17


Comments

  • ktsamis
    8 months ago by ktsamis | Reply

    I no longer have all the scripts that I used since weechat 2.1 was compiled with python3. And now all the scripts need to be python3. I lost my notify.py adn while I opened a PR for it, it started causing crashes on weechat itself. So now I either have to find another notification script, like this which also needs python3 adjustments or I need to fix the first one. Let's see which is easiest. This is an addition/enhancement on the project. Has nothing to do with matrix just something that needs to be done.

  • agraul
    8 months ago by agraul | Reply

    I've tried the same last Hackweek. I could not build a lua-cjson package, but I am also inexperienced in packaging (and was even less experienced back then) so don't let that stop you from trying ;). I did get the script to run and connect to matrix.org, but its performance was lacking. It made my weechat really slow (taking more than 1s to change buffer) - I have not tried it since and maybe it was just an configuration issue. Hopefully you have a better experience, let me know how it goes :)

  • ktsamis
    8 months ago by ktsamis | Reply

    So the package for lua 5.3 and Leap 15.0 is built successfully I will see about maybe pushing this to Factory as soon as I make the rpmlint errors and warnings go away. Now for the loading of the script and the rest of the configurations.

  • ktsamis
    8 months ago by ktsamis | Reply

    Loading the script slows down weechat significantly and I have bumped into more than a few errors/bugs already. I think in the end I won't use weechat with matrix. Unless I can fix something in the actual script code, which I am not sure how to, since I don't know lua. The overall experience so far is underwhelming.

  • ktsamis
    8 months ago by ktsamis | Reply

    For some reason the page doesn't resolve the package link properly. You can see it in my home project for ktsamis or here: https://download.opensuse.org/repositories/home:/ktsamis:/branches:/home:/bergmannf/openSUSELeap15.0/

  • ktsamis
    7 months ago by ktsamis | Reply

    Matrix can be used now, the dependency is built for Leap 15.0. All that's left is to do the push to factory. Personally I will not use matrix because the cost (slow weechat, weird buffer behavior, etc) outweigh the benefits.

Similar Projects

This project is one of its kind!